<!--
IGAC proyecto SNC

@author 		david.cifuentes
@version 		1.0
@description 	Pantalla para realizar la actualización de las inconsistencias geográficas de 
                los predios asociados a un trámite, retirando las que fueron solucionadas en Depuración.
@cu				CU-NP-CO-215 - Actualizar inconsistencias.
            
-->

<p:fieldset xmlns="http://www.w3.org/1999/xhtml"
            xmlns:ui="http://java.sun.com/jsf/facelets"
            xmlns:f="http://java.sun.com/jsf/core"
            xmlns:h="http://java.sun.com/jsf/html"
            xmlns:p="http://primefaces.org/ui"
            xmlns:fn="http://java.sun.com/jsp/jstl/functions">

    <h:panelGrid columns="1" width="100%">

        <p:messages id="actualizarInconsistenciasMsg" showDetail="false"
                    globalOnly="false" />

        <h:panelGrid columns="1" cellspacing="5" cellpadding="5" width="100%">

            <h:outputLabel value="Inconsistencias geográficas:"
                           styleClass="outputLabelStyle" />

            <p:dataTable id="inconsistenciasTable"
                         widgetVar="inconsistenciasTableWV"
                         value="#{controlCalidad.inconsistenciasTramite}"
                         selection="#{controlCalidad.inconsistenciaAEliminar}"
                         var="inconsistencia" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         emptyMessage="No hay inconsistencias asociadas">

                <p:column headerText="Opciones" style="width:32px">
                    <center>
                        <p:commandButton
                            update=":registroControlCalidadForm"
                            action="#{controlCalidad.eliminarInconsistencia}"
                            icon="ui-icon-trash" title="Eliminar" process="@this">
                            <f:setPropertyActionListener value="#{inconsistencia}"
                                                         target="#{controlCalidad.inconsistenciaAEliminar}" />
                        </p:commandButton>
                    </center>
                </p:column>

                <p:column headerText="Tipo">
                    <h:outputText id="PredioTipoV" value="#{inconsistencia.tipo}" />
                </p:column>

                <p:column headerText="Descripción">
                    <h:outputText value="#{inconsistencia.inconsistencia}" />

                </p:column>
                <p:column headerText="Número predial">
                    <h:outputText value="#{inconsistencia.numeroPredial}"
                                  styleClass="outputTextStyle" />
                </p:column>
            </p:dataTable>

        </h:panelGrid>

        <p:spacer width="10" />

        <p:outputPanel layout="block" style="text-align:center">

            <p:commandButton id="guardarInconsistenciasBtn"
                             value="Guardar inconsistencias" icon="ui-icon-disk" process="@form"
                             title="Guardar inconsistencias" label="Guardar inconsistencias"
                             update=":registroControlCalidadForm:tabViewControlCalidad:tabActualizarInconsistencias, :registroControlCalidadForm:avanzarProcesoBtn"
                             actionListener="#{controlCalidad.guardarInconsistencias}"
                             oncomplete="statusDialog2.hide();" />

        </p:outputPanel>
        <p:spacer width="10" />
    </h:panelGrid>
</p:fieldset>
